/**
	@file asserts.h
	@author   Thomas Stalter
	@version  1.00.00

 	@brief assert extensions

 	Home of this file is <http://www.protokollkonverter.de>.

	@copyright Copyright: (C) 2018 Thomas Stalter

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>.

	<h3>change log</h3>
	<table>
		<tr><th>date</th><th>version</th><th>author</th><th>comment</th></tr>
		<tr>
			<td>04/28/2018</td><td>1.00.00</td><td>Thomas Stalter</td><td>initial version</td>
		</tr>
	</table>
 */

#ifndef ASSERTS_H
#define ASSERTS_H

#include <assert.h>
#include <string.h>
#include <math.h>


/**
	@defgroup asserts assert extensions
	@{
**/

#define assertTrue(x)		assert(x)									//!< test result on true
#define assertFalse(x)		assert((x) == 0)							//!< test result on false
#define assertString(x,y)	assert(strcmp(x,y)) == 0)					//!< test two strings on equal
#define assertDouble(x,y)	assert(floor((x)*1e10) == floor((y)*1e10))	//!< test two double values on equal
#define assertMemory(x,y,z)	assert(memcmp(x,y,z) == 0)					//!< test two memory areas on equal

/**
	@}
**/

#endif /* ASSERTS_H */

